aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools
diff options
context:
space:
mode:
authorGravatar Sree Kuchibhotla <sreek@google.com>2017-01-23 13:03:16 -0800
committerGravatar Sree Kuchibhotla <sreek@google.com>2017-01-23 13:03:16 -0800
commit5781c639cac1f76bbf2e447c0b762bdc5107ba3a (patch)
tree2317fd55b28c0c7930a431fbcc83e2ea993708c5 /tools
parent645e30a9311af1721bd8b02b533953c2c38d8263 (diff)
parentf2c5c1e541a3c42fd418063ec24bb9e591b3ad40 (diff)
Merge branch 'master' into pollset_set_test
Diffstat (limited to 'tools')
-rwxr-xr-xtools/distrib/python/docgen.py25
-rw-r--r--tools/dockerfile/interoptest/grpc_interop_http2/Dockerfile2
-rw-r--r--tools/internal_ci/linux/grpc_fuzzer_api.cfg40
-rwxr-xr-xtools/internal_ci/linux/grpc_fuzzer_api.sh41
-rw-r--r--tools/internal_ci/linux/grpc_fuzzer_hpack_parser.cfg40
-rwxr-xr-xtools/internal_ci/linux/grpc_fuzzer_hpack_parser.sh42
-rw-r--r--tools/internal_ci/linux/grpc_fuzzer_http_request.cfg40
-rwxr-xr-xtools/internal_ci/linux/grpc_fuzzer_http_request.sh42
-rw-r--r--tools/internal_ci/linux/grpc_fuzzer_json.cfg40
-rwxr-xr-xtools/internal_ci/linux/grpc_fuzzer_json.sh42
-rw-r--r--tools/internal_ci/linux/grpc_fuzzer_nanopb_response.cfg40
-rwxr-xr-xtools/internal_ci/linux/grpc_fuzzer_nanopb_response.sh41
-rw-r--r--tools/internal_ci/linux/grpc_fuzzer_server.cfg40
-rwxr-xr-xtools/internal_ci/linux/grpc_fuzzer_server.sh41
-rw-r--r--tools/internal_ci/linux/grpc_fuzzer_uri.cfg40
-rwxr-xr-xtools/internal_ci/linux/grpc_fuzzer_uri.sh41
-rw-r--r--tools/run_tests/generated/sources_and_headers.json291
-rw-r--r--tools/run_tests/generated/tests.json248
-rwxr-xr-xtools/run_tests/helper_scripts/build_python.sh11
-rwxr-xr-xtools/run_tests/run_interop_tests.py4
-rwxr-xr-xtools/run_tests/sanity/check_submodules.sh2
21 files changed, 1020 insertions, 133 deletions
diff --git a/tools/distrib/python/docgen.py b/tools/distrib/python/docgen.py
index 38ffcd6e0e..fddaa2ba3e 100755
--- a/tools/distrib/python/docgen.py
+++ b/tools/distrib/python/docgen.py
@@ -28,11 +28,14 @@
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+from __future__ import print_function
+
import argparse
import os
import os.path
import shutil
import subprocess
+import sys
import tempfile
parser = argparse.ArgumentParser()
@@ -99,6 +102,7 @@ if args.submit:
python_doc_dir = os.path.join(repo_dir, 'python')
doc_branch = args.doc_branch
+ print('Cloning your repository...')
subprocess.check_call([
'git', 'clone', 'https://{}@github.com/{}/grpc'.format(
github_user, github_repository_owner)
@@ -110,13 +114,20 @@ if args.submit:
subprocess.check_call([
'git', 'checkout', 'upstream/gh-pages', '-b', doc_branch
], cwd=repo_dir)
+ print('Updating documentation...')
shutil.rmtree(python_doc_dir, ignore_errors=True)
shutil.copytree(DOC_PATH, python_doc_dir)
- subprocess.check_call(['git', 'add', '--all'], cwd=repo_dir)
- subprocess.check_call([
- 'git', 'commit', '-m', 'Auto-update Python documentation'
- ], cwd=repo_dir)
- subprocess.check_call([
- 'git', 'push', '--set-upstream', 'origin', doc_branch
- ], cwd=repo_dir)
+ print('Attempting to push documentation...')
+ try:
+ subprocess.check_call(['git', 'add', '--all'], cwd=repo_dir)
+ subprocess.check_call([
+ 'git', 'commit', '-m', 'Auto-update Python documentation'
+ ], cwd=repo_dir)
+ subprocess.check_call([
+ 'git', 'push', '--set-upstream', 'origin', doc_branch
+ ], cwd=repo_dir)
+ except subprocess.CalledProcessError:
+ print('Failed to push documentation. Examine this directory and push '
+ 'manually: {}'.format(repo_parent_dir))
+ sys.exit(1)
shutil.rmtree(repo_parent_dir)
diff --git a/tools/dockerfile/interoptest/grpc_interop_http2/Dockerfile b/tools/dockerfile/interoptest/grpc_interop_http2/Dockerfile
index 05e963d1e6..3a5e15d21b 100644
--- a/tools/dockerfile/interoptest/grpc_interop_http2/Dockerfile
+++ b/tools/dockerfile/interoptest/grpc_interop_http2/Dockerfile
@@ -47,5 +47,7 @@ RUN pip install pip --upgrade
RUN pip install virtualenv
RUN pip install futures==2.2.0 enum34==1.0.4 protobuf==3.0.0a2 six==1.10.0
+RUN pip install twisted h2
+
# Define the default command.
CMD ["bash"]
diff --git a/tools/internal_ci/linux/grpc_fuzzer_api.cfg b/tools/internal_ci/linux/grpc_fuzzer_api.cfg
new file mode 100644
index 0000000000..a34fb9d47e
--- /dev/null
+++ b/tools/internal_ci/linux/grpc_fuzzer_api.cfg
@@ -0,0 +1,40 @@
+#!/bin/bash
+# Copyright 2016, Google Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of Google Inc. nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Config file for the internal CI (in protobuf text format)
+
+# Location of the continuous shell script in repository.
+build_file: "grpc/tools/internal_ci/linux/grpc_fuzzer_api.sh"
+timeout_mins: 1440 # 24 hours is the maximum allowed value
+action {
+ define_artifacts {
+ regex: "git/grpc/fuzzer_output/**"
+ }
+}
diff --git a/tools/internal_ci/linux/grpc_fuzzer_api.sh b/tools/internal_ci/linux/grpc_fuzzer_api.sh
new file mode 100755
index 0000000000..c3cf1109de
--- /dev/null
+++ b/tools/internal_ci/linux/grpc_fuzzer_api.sh
@@ -0,0 +1,41 @@
+#!/bin/bash
+# Copyright 2016, Google Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of Google Inc. nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -ex
+
+# change to grpc repo root
+cd $(dirname $0)/../../..
+
+git submodule update --init
+
+# download fuzzer docker image from dockerhub
+export DOCKERHUB_ORGANIZATION=grpctesting
+# runtime 23 * 60 mins
+config=asan-trace-cmp runtime=86400 tools/jenkins/run_fuzzer.sh api_fuzzer
diff --git a/tools/internal_ci/linux/grpc_fuzzer_hpack_parser.cfg b/tools/internal_ci/linux/grpc_fuzzer_hpack_parser.cfg
new file mode 100644
index 0000000000..215ce2bf9c
--- /dev/null
+++ b/tools/internal_ci/linux/grpc_fuzzer_hpack_parser.cfg
@@ -0,0 +1,40 @@
+#!/bin/bash
+# Copyright 2016, Google Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of Google Inc. nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Config file for the internal CI (in protobuf text format)
+
+# Location of the continuous shell script in repository.
+build_file: "grpc/tools/internal_ci/linux/grpc_fuzzer_hpack_parser.sh"
+timeout_mins: 1440 # 24 hours is the maximum allowed value
+action {
+ define_artifacts {
+ regex: "git/grpc/fuzzer_output/**"
+ }
+}
diff --git a/tools/internal_ci/linux/grpc_fuzzer_hpack_parser.sh b/tools/internal_ci/linux/grpc_fuzzer_hpack_parser.sh
new file mode 100755
index 0000000000..d9a73a622b
--- /dev/null
+++ b/tools/internal_ci/linux/grpc_fuzzer_hpack_parser.sh
@@ -0,0 +1,42 @@
+#!/bin/bash
+# Copyright 2016, Google Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of Google Inc. nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -ex
+
+# change to grpc repo root
+cd $(dirname $0)/../../..
+
+git submodule update --init
+
+# download fuzzer docker image from dockerhub
+export DOCKERHUB_ORGANIZATION=grpctesting
+# runtime 23 * 60 mins
+config=asan-trace-cmp tools/jenkins/run_fuzzer.sh hpack_parser_fuzzer_test
+
diff --git a/tools/internal_ci/linux/grpc_fuzzer_http_request.cfg b/tools/internal_ci/linux/grpc_fuzzer_http_request.cfg
new file mode 100644
index 0000000000..120e8f8f76
--- /dev/null
+++ b/tools/internal_ci/linux/grpc_fuzzer_http_request.cfg
@@ -0,0 +1,40 @@
+#!/bin/bash
+# Copyright 2016, Google Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of Google Inc. nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Config file for the internal CI (in protobuf text format)
+
+# Location of the continuous shell script in repository.
+build_file: "grpc/tools/internal_ci/linux/grpc_fuzzer_http_request.sh"
+timeout_mins: 1440 # 24 hours is the maximum allowed value
+action {
+ define_artifacts {
+ regex: "git/grpc/fuzzer_output/**"
+ }
+}
diff --git a/tools/internal_ci/linux/grpc_fuzzer_http_request.sh b/tools/internal_ci/linux/grpc_fuzzer_http_request.sh
new file mode 100755
index 0000000000..d412d921ba
--- /dev/null
+++ b/tools/internal_ci/linux/grpc_fuzzer_http_request.sh
@@ -0,0 +1,42 @@
+#!/bin/bash
+# Copyright 2016, Google Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of Google Inc. nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -ex
+
+# change to grpc repo root
+cd $(dirname $0)/../../..
+
+git submodule update --init
+
+# download fuzzer docker image from dockerhub
+export DOCKERHUB_ORGANIZATION=grpctesting
+# runtime 23 * 60 mins
+config=asan-trace-cmp tools/jenkins/run_fuzzer.sh http_request_fuzzer_test
+
diff --git a/tools/internal_ci/linux/grpc_fuzzer_json.cfg b/tools/internal_ci/linux/grpc_fuzzer_json.cfg
new file mode 100644
index 0000000000..cab4f293ed
--- /dev/null
+++ b/tools/internal_ci/linux/grpc_fuzzer_json.cfg
@@ -0,0 +1,40 @@
+#!/bin/bash
+# Copyright 2016, Google Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of Google Inc. nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Config file for the internal CI (in protobuf text format)
+
+# Location of the continuous shell script in repository.
+build_file: "grpc/tools/internal_ci/linux/grpc_fuzzer_json.sh"
+timeout_mins: 1440 # 24 hours is the maximum allowed value
+action {
+ define_artifacts {
+ regex: "git/grpc/fuzzer_output/**"
+ }
+}
diff --git a/tools/internal_ci/linux/grpc_fuzzer_json.sh b/tools/internal_ci/linux/grpc_fuzzer_json.sh
new file mode 100755
index 0000000000..d9869f6c30
--- /dev/null
+++ b/tools/internal_ci/linux/grpc_fuzzer_json.sh
@@ -0,0 +1,42 @@
+#!/bin/bash
+# Copyright 2016, Google Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of Google Inc. nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -ex
+
+# change to grpc repo root
+cd $(dirname $0)/../../..
+
+git submodule update --init
+
+# download fuzzer docker image from dockerhub
+export DOCKERHUB_ORGANIZATION=grpctesting
+# runtime 23 * 60 mins
+config=asan-trace-cmp tools/jenkins/run_fuzzer.sh json_fuzzer_test
+
diff --git a/tools/internal_ci/linux/grpc_fuzzer_nanopb_response.cfg b/tools/internal_ci/linux/grpc_fuzzer_nanopb_response.cfg
new file mode 100644
index 0000000000..c73aa819ee
--- /dev/null
+++ b/tools/internal_ci/linux/grpc_fuzzer_nanopb_response.cfg
@@ -0,0 +1,40 @@
+#!/bin/bash
+# Copyright 2016, Google Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of Google Inc. nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Config file for the internal CI (in protobuf text format)
+
+# Location of the continuous shell script in repository.
+build_file: "grpc/tools/internal_ci/linux/grpc_fuzzer_nanopb_response.sh"
+timeout_mins: 1440 # 24 hours is the maximum allowed value
+action {
+ define_artifacts {
+ regex: "git/grpc/fuzzer_output/**"
+ }
+}
diff --git a/tools/internal_ci/linux/grpc_fuzzer_nanopb_response.sh b/tools/internal_ci/linux/grpc_fuzzer_nanopb_response.sh
new file mode 100755
index 0000000000..0a7187f8bf
--- /dev/null
+++ b/tools/internal_ci/linux/grpc_fuzzer_nanopb_response.sh
@@ -0,0 +1,41 @@
+#!/bin/bash
+# Copyright 2016, Google Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of Google Inc. nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -ex
+
+# change to grpc repo root
+cd $(dirname $0)/../../..
+
+git submodule update --init
+
+# download fuzzer docker image from dockerhub
+export DOCKERHUB_ORGANIZATION=grpctesting
+# runtime 23 * 60 mins
+config=asan-trace-cmp tools/jenkins/run_fuzzer.sh nanopb_fuzzer_response_test
diff --git a/tools/internal_ci/linux/grpc_fuzzer_server.cfg b/tools/internal_ci/linux/grpc_fuzzer_server.cfg
new file mode 100644
index 0000000000..a1931cb891
--- /dev/null
+++ b/tools/internal_ci/linux/grpc_fuzzer_server.cfg
@@ -0,0 +1,40 @@
+#!/bin/bash
+# Copyright 2016, Google Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of Google Inc. nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Config file for the internal CI (in protobuf text format)
+
+# Location of the continuous shell script in repository.
+build_file: "grpc/tools/internal_ci/linux/grpc_fuzzer_server.sh"
+timeout_mins: 1440 # 24 hours is the maximum allowed value
+action {
+ define_artifacts {
+ regex: "git/grpc/fuzzer_output/**"
+ }
+}
diff --git a/tools/internal_ci/linux/grpc_fuzzer_server.sh b/tools/internal_ci/linux/grpc_fuzzer_server.sh
new file mode 100755
index 0000000000..e00e940382
--- /dev/null
+++ b/tools/internal_ci/linux/grpc_fuzzer_server.sh
@@ -0,0 +1,41 @@
+#!/bin/bash
+# Copyright 2016, Google Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of Google Inc. nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -ex
+
+# change to grpc repo root
+cd $(dirname $0)/../../..
+
+git submodule update --init
+
+# download fuzzer docker image from dockerhub
+export DOCKERHUB_ORGANIZATION=grpctesting
+# runtime 23 * 60 mins
+config=asan-trace-cmp runtime=86400 tools/jenkins/run_fuzzer.sh server_fuzzer
diff --git a/tools/internal_ci/linux/grpc_fuzzer_uri.cfg b/tools/internal_ci/linux/grpc_fuzzer_uri.cfg
new file mode 100644
index 0000000000..c312ae0464
--- /dev/null
+++ b/tools/internal_ci/linux/grpc_fuzzer_uri.cfg
@@ -0,0 +1,40 @@
+#!/bin/bash
+# Copyright 2016, Google Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of Google Inc. nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Config file for the internal CI (in protobuf text format)
+
+# Location of the continuous shell script in repository.
+build_file: "grpc/tools/internal_ci/linux/grpc_fuzzer_uri.sh"
+timeout_mins: 1440 # 24 hours is the maximum allowed value
+action {
+ define_artifacts {
+ regex: "git/grpc/fuzzer_output/**"
+ }
+}
diff --git a/tools/internal_ci/linux/grpc_fuzzer_uri.sh b/tools/internal_ci/linux/grpc_fuzzer_uri.sh
new file mode 100755
index 0000000000..4137f8061c
--- /dev/null
+++ b/tools/internal_ci/linux/grpc_fuzzer_uri.sh
@@ -0,0 +1,41 @@
+#!/bin/bash
+# Copyright 2016, Google Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of Google Inc. nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -ex
+
+# change to grpc repo root
+cd $(dirname $0)/../../..
+
+git submodule update --init
+
+# download fuzzer docker image from dockerhub
+export DOCKERHUB_ORGANIZATION=grpctesting
+# runtime 23 * 60 mins
+config=asan-trace-cmp tools/jenkins/run_fuzzer.sh uri_fuzzer_test
diff --git a/tools/run_tests/generated/sources_and_headers.json b/tools/run_tests/generated/sources_and_headers.json
index e520486182..7960acc028 100644
--- a/tools/run_tests/generated/sources_and_headers.json
+++ b/tools/run_tests/generated/sources_and_headers.json
@@ -3546,6 +3546,20 @@
{
"deps": [
"boringssl",
+ "boringssl_chacha_test_lib",
+ "boringssl_test_util"
+ ],
+ "headers": [],
+ "is_filegroup": false,
+ "language": "c++",
+ "name": "boringssl_chacha_test",
+ "src": [],
+ "third_party": true,
+ "type": "target"
+ },
+ {
+ "deps": [
+ "boringssl",
"boringssl_aead_test_lib",
"boringssl_test_util"
],
@@ -3616,6 +3630,20 @@
{
"deps": [
"boringssl",
+ "boringssl_spake25519_test_lib",
+ "boringssl_test_util"
+ ],
+ "headers": [],
+ "is_filegroup": false,
+ "language": "c++",
+ "name": "boringssl_spake25519_test",
+ "src": [],
+ "third_party": true,
+ "type": "target"
+ },
+ {
+ "deps": [
+ "boringssl",
"boringssl_test_util",
"boringssl_x25519_test_lib"
],
@@ -3700,6 +3728,34 @@
{
"deps": [
"boringssl",
+ "boringssl_ecdh_test_lib",
+ "boringssl_test_util"
+ ],
+ "headers": [],
+ "is_filegroup": false,
+ "language": "c++",
+ "name": "boringssl_ecdh_test",
+ "src": [],
+ "third_party": true,
+ "type": "target"
+ },
+ {
+ "deps": [
+ "boringssl",
+ "boringssl_ecdsa_sign_test_lib",
+ "boringssl_test_util"
+ ],
+ "headers": [],
+ "is_filegroup": false,
+ "language": "c++",
+ "name": "boringssl_ecdsa_sign_test",
+ "src": [],
+ "third_party": true,
+ "type": "target"
+ },
+ {
+ "deps": [
+ "boringssl",
"boringssl_ecdsa_test_lib",
"boringssl_test_util"
],
@@ -3714,6 +3770,20 @@
{
"deps": [
"boringssl",
+ "boringssl_ecdsa_verify_test_lib",
+ "boringssl_test_util"
+ ],
+ "headers": [],
+ "is_filegroup": false,
+ "language": "c++",
+ "name": "boringssl_ecdsa_verify_test",
+ "src": [],
+ "third_party": true,
+ "type": "target"
+ },
+ {
+ "deps": [
+ "boringssl",
"boringssl_err_test_lib",
"boringssl_test_util"
],
@@ -3826,6 +3896,62 @@
{
"deps": [
"boringssl",
+ "boringssl_newhope_statistical_test_lib",
+ "boringssl_test_util"
+ ],
+ "headers": [],
+ "is_filegroup": false,
+ "language": "c++",
+ "name": "boringssl_newhope_statistical_test",
+ "src": [],
+ "third_party": true,
+ "type": "target"
+ },
+ {
+ "deps": [
+ "boringssl",
+ "boringssl_newhope_test_lib",
+ "boringssl_test_util"
+ ],
+ "headers": [],
+ "is_filegroup": false,
+ "language": "c++",
+ "name": "boringssl_newhope_test",
+ "src": [],
+ "third_party": true,
+ "type": "target"
+ },
+ {
+ "deps": [
+ "boringssl",
+ "boringssl_newhope_vectors_test_lib",
+ "boringssl_test_util"
+ ],
+ "headers": [],
+ "is_filegroup": false,
+ "language": "c++",
+ "name": "boringssl_newhope_vectors_test",
+ "src": [],
+ "third_party": true,
+ "type": "target"
+ },
+ {
+ "deps": [
+ "boringssl",
+ "boringssl_obj_test_lib",
+ "boringssl_test_util"
+ ],
+ "headers": [],
+ "is_filegroup": false,
+ "language": "c++",
+ "name": "boringssl_obj_test",
+ "src": [],
+ "third_party": true,
+ "type": "target"
+ },
+ {
+ "deps": [
+ "boringssl",
"boringssl_pkcs12_test_lib",
"boringssl_test_util"
],
@@ -3966,20 +4092,6 @@
{
"deps": [
"boringssl",
- "boringssl_pqueue_test_lib",
- "boringssl_test_util"
- ],
- "headers": [],
- "is_filegroup": false,
- "language": "c++",
- "name": "boringssl_pqueue_test",
- "src": [],
- "third_party": true,
- "type": "target"
- },
- {
- "deps": [
- "boringssl",
"boringssl_ssl_test_lib",
"boringssl_test_util"
],
@@ -5706,23 +5818,22 @@
"third_party/boringssl/crypto/conf/internal.h",
"third_party/boringssl/crypto/curve25519/internal.h",
"third_party/boringssl/crypto/des/internal.h",
- "third_party/boringssl/crypto/dh/internal.h",
"third_party/boringssl/crypto/digest/internal.h",
"third_party/boringssl/crypto/digest/md32_common.h",
- "third_party/boringssl/crypto/directory.h",
"third_party/boringssl/crypto/ec/internal.h",
"third_party/boringssl/crypto/ec/p256-x86_64-table.h",
"third_party/boringssl/crypto/evp/internal.h",
"third_party/boringssl/crypto/internal.h",
"third_party/boringssl/crypto/modes/internal.h",
+ "third_party/boringssl/crypto/newhope/internal.h",
"third_party/boringssl/crypto/obj/obj_dat.h",
"third_party/boringssl/crypto/obj/obj_xref.h",
"third_party/boringssl/crypto/pkcs8/internal.h",
+ "third_party/boringssl/crypto/poly1305/internal.h",
"third_party/boringssl/crypto/rand/internal.h",
"third_party/boringssl/crypto/rsa/internal.h",
- "third_party/boringssl/crypto/test/scoped_types.h",
- "third_party/boringssl/crypto/test/test_util.h",
"third_party/boringssl/crypto/x509/charmap.h",
+ "third_party/boringssl/crypto/x509/internal.h",
"third_party/boringssl/crypto/x509/vpm_int.h",
"third_party/boringssl/crypto/x509v3/ext_dat.h",
"third_party/boringssl/crypto/x509v3/pcy_int.h",
@@ -5768,10 +5879,12 @@
"third_party/boringssl/include/openssl/md4.h",
"third_party/boringssl/include/openssl/md5.h",
"third_party/boringssl/include/openssl/mem.h",
+ "third_party/boringssl/include/openssl/newhope.h",
+ "third_party/boringssl/include/openssl/nid.h",
"third_party/boringssl/include/openssl/obj.h",
"third_party/boringssl/include/openssl/obj_mac.h",
"third_party/boringssl/include/openssl/objects.h",
- "third_party/boringssl/include/openssl/opensslfeatures.h",
+ "third_party/boringssl/include/openssl/opensslconf.h",
"third_party/boringssl/include/openssl/opensslv.h",
"third_party/boringssl/include/openssl/ossl_typ.h",
"third_party/boringssl/include/openssl/pem.h",
@@ -5779,9 +5892,9 @@
"third_party/boringssl/include/openssl/pkcs7.h",
"third_party/boringssl/include/openssl/pkcs8.h",
"third_party/boringssl/include/openssl/poly1305.h",
- "third_party/boringssl/include/openssl/pqueue.h",
"third_party/boringssl/include/openssl/rand.h",
"third_party/boringssl/include/openssl/rc4.h",
+ "third_party/boringssl/include/openssl/ripemd.h",
"third_party/boringssl/include/openssl/rsa.h",
"third_party/boringssl/include/openssl/safestack.h",
"third_party/boringssl/include/openssl/sha.h",
@@ -5797,11 +5910,7 @@
"third_party/boringssl/include/openssl/x509.h",
"third_party/boringssl/include/openssl/x509_vfy.h",
"third_party/boringssl/include/openssl/x509v3.h",
- "third_party/boringssl/ssl/internal.h",
- "third_party/boringssl/ssl/test/async_bio.h",
- "third_party/boringssl/ssl/test/packeted_bio.h",
- "third_party/boringssl/ssl/test/scoped_types.h",
- "third_party/boringssl/ssl/test/test_config.h"
+ "third_party/boringssl/ssl/internal.h"
],
"is_filegroup": false,
"language": "c",
@@ -5908,6 +6017,19 @@
"headers": [],
"is_filegroup": false,
"language": "c++",
+ "name": "boringssl_chacha_test_lib",
+ "src": [],
+ "third_party": true,
+ "type": "lib"
+ },
+ {
+ "deps": [
+ "boringssl",
+ "boringssl_test_util"
+ ],
+ "headers": [],
+ "is_filegroup": false,
+ "language": "c++",
"name": "boringssl_aead_test_lib",
"src": [],
"third_party": true,
@@ -5973,6 +6095,19 @@
"headers": [],
"is_filegroup": false,
"language": "c++",
+ "name": "boringssl_spake25519_test_lib",
+ "src": [],
+ "third_party": true,
+ "type": "lib"
+ },
+ {
+ "deps": [
+ "boringssl",
+ "boringssl_test_util"
+ ],
+ "headers": [],
+ "is_filegroup": false,
+ "language": "c++",
"name": "boringssl_x25519_test_lib",
"src": [],
"third_party": true,
@@ -6051,6 +6186,32 @@
"headers": [],
"is_filegroup": false,
"language": "c++",
+ "name": "boringssl_ecdh_test_lib",
+ "src": [],
+ "third_party": true,
+ "type": "lib"
+ },
+ {
+ "deps": [
+ "boringssl",
+ "boringssl_test_util"
+ ],
+ "headers": [],
+ "is_filegroup": false,
+ "language": "c++",
+ "name": "boringssl_ecdsa_sign_test_lib",
+ "src": [],
+ "third_party": true,
+ "type": "lib"
+ },
+ {
+ "deps": [
+ "boringssl",
+ "boringssl_test_util"
+ ],
+ "headers": [],
+ "is_filegroup": false,
+ "language": "c++",
"name": "boringssl_ecdsa_test_lib",
"src": [],
"third_party": true,
@@ -6064,6 +6225,19 @@
"headers": [],
"is_filegroup": false,
"language": "c++",
+ "name": "boringssl_ecdsa_verify_test_lib",
+ "src": [],
+ "third_party": true,
+ "type": "lib"
+ },
+ {
+ "deps": [
+ "boringssl",
+ "boringssl_test_util"
+ ],
+ "headers": [],
+ "is_filegroup": false,
+ "language": "c++",
"name": "boringssl_err_test_lib",
"src": [],
"third_party": true,
@@ -6154,7 +6328,7 @@
],
"headers": [],
"is_filegroup": false,
- "language": "c",
+ "language": "c++",
"name": "boringssl_gcm_test_lib",
"src": [],
"third_party": true,
@@ -6168,7 +6342,7 @@
"headers": [],
"is_filegroup": false,
"language": "c++",
- "name": "boringssl_pkcs12_test_lib",
+ "name": "boringssl_newhope_statistical_test_lib",
"src": [],
"third_party": true,
"type": "lib"
@@ -6181,7 +6355,7 @@
"headers": [],
"is_filegroup": false,
"language": "c++",
- "name": "boringssl_pkcs8_test_lib",
+ "name": "boringssl_newhope_test_lib",
"src": [],
"third_party": true,
"type": "lib"
@@ -6194,7 +6368,7 @@
"headers": [],
"is_filegroup": false,
"language": "c++",
- "name": "boringssl_poly1305_test_lib",
+ "name": "boringssl_newhope_vectors_test_lib",
"src": [],
"third_party": true,
"type": "lib"
@@ -6206,8 +6380,8 @@
],
"headers": [],
"is_filegroup": false,
- "language": "c",
- "name": "boringssl_refcount_test_lib",
+ "language": "c++",
+ "name": "boringssl_obj_test_lib",
"src": [],
"third_party": true,
"type": "lib"
@@ -6220,7 +6394,7 @@
"headers": [],
"is_filegroup": false,
"language": "c++",
- "name": "boringssl_rsa_test_lib",
+ "name": "boringssl_pkcs12_test_lib",
"src": [],
"third_party": true,
"type": "lib"
@@ -6232,8 +6406,21 @@
],
"headers": [],
"is_filegroup": false,
- "language": "c",
- "name": "boringssl_thread_test_lib",
+ "language": "c++",
+ "name": "boringssl_pkcs8_test_lib",
+ "src": [],
+ "third_party": true,
+ "type": "lib"
+ },
+ {
+ "deps": [
+ "boringssl",
+ "boringssl_test_util"
+ ],
+ "headers": [],
+ "is_filegroup": false,
+ "language": "c++",
+ "name": "boringssl_poly1305_test_lib",
"src": [],
"third_party": true,
"type": "lib"
@@ -6246,7 +6433,7 @@
"headers": [],
"is_filegroup": false,
"language": "c",
- "name": "boringssl_pkcs7_test_lib",
+ "name": "boringssl_refcount_test_lib",
"src": [],
"third_party": true,
"type": "lib"
@@ -6259,7 +6446,7 @@
"headers": [],
"is_filegroup": false,
"language": "c++",
- "name": "boringssl_x509_test_lib",
+ "name": "boringssl_rsa_test_lib",
"src": [],
"third_party": true,
"type": "lib"
@@ -6272,7 +6459,7 @@
"headers": [],
"is_filegroup": false,
"language": "c",
- "name": "boringssl_tab_test_lib",
+ "name": "boringssl_thread_test_lib",
"src": [],
"third_party": true,
"type": "lib"
@@ -6285,7 +6472,20 @@
"headers": [],
"is_filegroup": false,
"language": "c",
- "name": "boringssl_v3name_test_lib",
+ "name": "boringssl_pkcs7_test_lib",
+ "src": [],
+ "third_party": true,
+ "type": "lib"
+ },
+ {
+ "deps": [
+ "boringssl",
+ "boringssl_test_util"
+ ],
+ "headers": [],
+ "is_filegroup": false,
+ "language": "c++",
+ "name": "boringssl_x509_test_lib",
"src": [],
"third_party": true,
"type": "lib"
@@ -6298,7 +6498,20 @@
"headers": [],
"is_filegroup": false,
"language": "c",
- "name": "boringssl_pqueue_test_lib",
+ "name": "boringssl_tab_test_lib",
+ "src": [],
+ "third_party": true,
+ "type": "lib"
+ },
+ {
+ "deps": [
+ "boringssl",
+ "boringssl_test_util"
+ ],
+ "headers": [],
+ "is_filegroup": false,
+ "language": "c",
+ "name": "boringssl_v3name_test_lib",
"src": [],
"third_party": true,
"type": "lib"
diff --git a/tools/run_tests/generated/tests.json b/tools/run_tests/generated/tests.json
index d13a0b7140..815d5d3a4e 100644
--- a/tools/run_tests/generated/tests.json
+++ b/tools/run_tests/generated/tests.json
@@ -3586,7 +3586,9 @@
]
},
{
- "args": [],
+ "args": [
+ "third_party/boringssl/crypto/bn/bn_tests.txt"
+ ],
"boringssl": true,
"ci_platforms": [
"linux",
@@ -3634,6 +3636,30 @@
]
},
{
+ "args": [],
+ "boringssl": true,
+ "ci_platforms": [
+ "linux",
+ "mac",
+ "posix",
+ "windows"
+ ],
+ "cpu_cost": 1.0,
+ "defaults": "boringssl",
+ "exclude_configs": [
+ "asan"
+ ],
+ "flaky": false,
+ "language": "c++",
+ "name": "boringssl_chacha_test",
+ "platforms": [
+ "linux",
+ "mac",
+ "posix",
+ "windows"
+ ]
+ },
+ {
"args": [
"aes-128-gcm",
"third_party/boringssl/crypto/cipher/test/aes_128_gcm_tests.txt"
@@ -3797,8 +3823,8 @@
},
{
"args": [
- "rc4-md5-tls",
- "third_party/boringssl/crypto/cipher/test/rc4_md5_tls_tests.txt"
+ "aes-128-cbc-sha1-tls",
+ "third_party/boringssl/crypto/cipher/test/aes_128_cbc_sha1_tls_tests.txt"
],
"boringssl": true,
"ci_platforms": [
@@ -3824,8 +3850,8 @@
},
{
"args": [
- "rc4-sha1-tls",
- "third_party/boringssl/crypto/cipher/test/rc4_sha1_tls_tests.txt"
+ "aes-128-cbc-sha1-tls-implicit-iv",
+ "third_party/boringssl/crypto/cipher/test/aes_128_cbc_sha1_tls_implicit_iv_tests.txt"
],
"boringssl": true,
"ci_platforms": [
@@ -3851,8 +3877,8 @@
},
{
"args": [
- "aes-128-cbc-sha1-tls",
- "third_party/boringssl/crypto/cipher/test/aes_128_cbc_sha1_tls_tests.txt"
+ "aes-128-cbc-sha256-tls",
+ "third_party/boringssl/crypto/cipher/test/aes_128_cbc_sha256_tls_tests.txt"
],
"boringssl": true,
"ci_platforms": [
@@ -3878,8 +3904,8 @@
},
{
"args": [
- "aes-128-cbc-sha1-tls-implicit-iv",
- "third_party/boringssl/crypto/cipher/test/aes_128_cbc_sha1_tls_implicit_iv_tests.txt"
+ "aes-256-cbc-sha1-tls",
+ "third_party/boringssl/crypto/cipher/test/aes_256_cbc_sha1_tls_tests.txt"
],
"boringssl": true,
"ci_platforms": [
@@ -3905,8 +3931,8 @@
},
{
"args": [
- "aes-128-cbc-sha256-tls",
- "third_party/boringssl/crypto/cipher/test/aes_128_cbc_sha256_tls_tests.txt"
+ "aes-256-cbc-sha1-tls-implicit-iv",
+ "third_party/boringssl/crypto/cipher/test/aes_256_cbc_sha1_tls_implicit_iv_tests.txt"
],
"boringssl": true,
"ci_platforms": [
@@ -3932,8 +3958,8 @@
},
{
"args": [
- "aes-256-cbc-sha1-tls",
- "third_party/boringssl/crypto/cipher/test/aes_256_cbc_sha1_tls_tests.txt"
+ "aes-256-cbc-sha256-tls",
+ "third_party/boringssl/crypto/cipher/test/aes_256_cbc_sha256_tls_tests.txt"
],
"boringssl": true,
"ci_platforms": [
@@ -3959,8 +3985,8 @@
},
{
"args": [
- "aes-256-cbc-sha1-tls-implicit-iv",
- "third_party/boringssl/crypto/cipher/test/aes_256_cbc_sha1_tls_implicit_iv_tests.txt"
+ "aes-256-cbc-sha384-tls",
+ "third_party/boringssl/crypto/cipher/test/aes_256_cbc_sha384_tls_tests.txt"
],
"boringssl": true,
"ci_platforms": [
@@ -3986,8 +4012,8 @@
},
{
"args": [
- "aes-256-cbc-sha256-tls",
- "third_party/boringssl/crypto/cipher/test/aes_256_cbc_sha256_tls_tests.txt"
+ "des-ede3-cbc-sha1-tls",
+ "third_party/boringssl/crypto/cipher/test/des_ede3_cbc_sha1_tls_tests.txt"
],
"boringssl": true,
"ci_platforms": [
@@ -4013,8 +4039,8 @@
},
{
"args": [
- "aes-256-cbc-sha384-tls",
- "third_party/boringssl/crypto/cipher/test/aes_256_cbc_sha384_tls_tests.txt"
+ "des-ede3-cbc-sha1-tls-implicit-iv",
+ "third_party/boringssl/crypto/cipher/test/des_ede3_cbc_sha1_tls_implicit_iv_tests.txt"
],
"boringssl": true,
"ci_platforms": [
@@ -4040,8 +4066,8 @@
},
{
"args": [
- "des-ede3-cbc-sha1-tls",
- "third_party/boringssl/crypto/cipher/test/des_ede3_cbc_sha1_tls_tests.txt"
+ "aes-128-cbc-sha1-ssl3",
+ "third_party/boringssl/crypto/cipher/test/aes_128_cbc_sha1_ssl3_tests.txt"
],
"boringssl": true,
"ci_platforms": [
@@ -4067,8 +4093,8 @@
},
{
"args": [
- "des-ede3-cbc-sha1-tls-implicit-iv",
- "third_party/boringssl/crypto/cipher/test/des_ede3_cbc_sha1_tls_implicit_iv_tests.txt"
+ "aes-256-cbc-sha1-ssl3",
+ "third_party/boringssl/crypto/cipher/test/aes_256_cbc_sha1_ssl3_tests.txt"
],
"boringssl": true,
"ci_platforms": [
@@ -4094,8 +4120,8 @@
},
{
"args": [
- "rc4-md5-ssl3",
- "third_party/boringssl/crypto/cipher/test/rc4_md5_ssl3_tests.txt"
+ "des-ede3-cbc-sha1-ssl3",
+ "third_party/boringssl/crypto/cipher/test/des_ede3_cbc_sha1_ssl3_tests.txt"
],
"boringssl": true,
"ci_platforms": [
@@ -4121,8 +4147,8 @@
},
{
"args": [
- "rc4-sha1-ssl3",
- "third_party/boringssl/crypto/cipher/test/rc4_sha1_ssl3_tests.txt"
+ "aes-128-ctr-hmac-sha256",
+ "third_party/boringssl/crypto/cipher/test/aes_128_ctr_hmac_sha256.txt"
],
"boringssl": true,
"ci_platforms": [
@@ -4148,8 +4174,8 @@
},
{
"args": [
- "aes-128-cbc-sha1-ssl3",
- "third_party/boringssl/crypto/cipher/test/aes_128_cbc_sha1_ssl3_tests.txt"
+ "aes-256-ctr-hmac-sha256",
+ "third_party/boringssl/crypto/cipher/test/aes_256_ctr_hmac_sha256.txt"
],
"boringssl": true,
"ci_platforms": [
@@ -4175,8 +4201,7 @@
},
{
"args": [
- "aes-256-cbc-sha1-ssl3",
- "third_party/boringssl/crypto/cipher/test/aes_256_cbc_sha1_ssl3_tests.txt"
+ "third_party/boringssl/crypto/cipher/test/cipher_tests.txt"
],
"boringssl": true,
"ci_platforms": [
@@ -4192,7 +4217,7 @@
],
"flaky": false,
"language": "c++",
- "name": "boringssl_aead_test",
+ "name": "boringssl_cipher_test",
"platforms": [
"linux",
"mac",
@@ -4201,10 +4226,7 @@
]
},
{
- "args": [
- "des-ede3-cbc-sha1-ssl3",
- "third_party/boringssl/crypto/cipher/test/des_ede3_cbc_sha1_ssl3_tests.txt"
- ],
+ "args": [],
"boringssl": true,
"ci_platforms": [
"linux",
@@ -4219,7 +4241,7 @@
],
"flaky": false,
"language": "c++",
- "name": "boringssl_aead_test",
+ "name": "boringssl_cmac_test",
"platforms": [
"linux",
"mac",
@@ -4228,10 +4250,7 @@
]
},
{
- "args": [
- "aes-128-ctr-hmac-sha256",
- "third_party/boringssl/crypto/cipher/test/aes_128_ctr_hmac_sha256.txt"
- ],
+ "args": [],
"boringssl": true,
"ci_platforms": [
"linux",
@@ -4246,7 +4265,7 @@
],
"flaky": false,
"language": "c++",
- "name": "boringssl_aead_test",
+ "name": "boringssl_constant_time_test",
"platforms": [
"linux",
"mac",
@@ -4256,8 +4275,7 @@
},
{
"args": [
- "aes-256-ctr-hmac-sha256",
- "third_party/boringssl/crypto/cipher/test/aes_256_ctr_hmac_sha256.txt"
+ "third_party/boringssl/crypto/curve25519/ed25519_tests.txt"
],
"boringssl": true,
"ci_platforms": [
@@ -4273,7 +4291,7 @@
],
"flaky": false,
"language": "c++",
- "name": "boringssl_aead_test",
+ "name": "boringssl_ed25519_test",
"platforms": [
"linux",
"mac",
@@ -4282,9 +4300,7 @@
]
},
{
- "args": [
- "third_party/boringssl/crypto/cipher/test/cipher_test.txt"
- ],
+ "args": [],
"boringssl": true,
"ci_platforms": [
"linux",
@@ -4299,7 +4315,7 @@
],
"flaky": false,
"language": "c++",
- "name": "boringssl_cipher_test",
+ "name": "boringssl_x25519_test",
"platforms": [
"linux",
"mac",
@@ -4323,7 +4339,7 @@
],
"flaky": false,
"language": "c++",
- "name": "boringssl_cmac_test",
+ "name": "boringssl_spake25519_test",
"platforms": [
"linux",
"mac",
@@ -4347,7 +4363,7 @@
],
"flaky": false,
"language": "c++",
- "name": "boringssl_constant_time_test",
+ "name": "boringssl_dh_test",
"platforms": [
"linux",
"mac",
@@ -4356,9 +4372,7 @@
]
},
{
- "args": [
- "third_party/boringssl/crypto/curve25519/ed25519_tests.txt"
- ],
+ "args": [],
"boringssl": true,
"ci_platforms": [
"linux",
@@ -4373,7 +4387,7 @@
],
"flaky": false,
"language": "c++",
- "name": "boringssl_ed25519_test",
+ "name": "boringssl_digest_test",
"platforms": [
"linux",
"mac",
@@ -4397,7 +4411,7 @@
],
"flaky": false,
"language": "c++",
- "name": "boringssl_x25519_test",
+ "name": "boringssl_dsa_test",
"platforms": [
"linux",
"mac",
@@ -4421,7 +4435,7 @@
],
"flaky": false,
"language": "c++",
- "name": "boringssl_dh_test",
+ "name": "boringssl_ec_test",
"platforms": [
"linux",
"mac",
@@ -4445,7 +4459,7 @@
],
"flaky": false,
"language": "c++",
- "name": "boringssl_digest_test",
+ "name": "boringssl_example_mul",
"platforms": [
"linux",
"mac",
@@ -4454,7 +4468,9 @@
]
},
{
- "args": [],
+ "args": [
+ "third_party/boringssl/crypto/ecdh/ecdh_tests.txt"
+ ],
"boringssl": true,
"ci_platforms": [
"linux",
@@ -4469,7 +4485,7 @@
],
"flaky": false,
"language": "c++",
- "name": "boringssl_dsa_test",
+ "name": "boringssl_ecdh_test",
"platforms": [
"linux",
"mac",
@@ -4478,7 +4494,9 @@
]
},
{
- "args": [],
+ "args": [
+ "third_party/boringssl/crypto/ecdsa/ecdsa_sign_tests.txt"
+ ],
"boringssl": true,
"ci_platforms": [
"linux",
@@ -4493,7 +4511,7 @@
],
"flaky": false,
"language": "c++",
- "name": "boringssl_ec_test",
+ "name": "boringssl_ecdsa_sign_test",
"platforms": [
"linux",
"mac",
@@ -4517,7 +4535,7 @@
],
"flaky": false,
"language": "c++",
- "name": "boringssl_example_mul",
+ "name": "boringssl_ecdsa_test",
"platforms": [
"linux",
"mac",
@@ -4526,7 +4544,9 @@
]
},
{
- "args": [],
+ "args": [
+ "third_party/boringssl/crypto/ecdsa/ecdsa_verify_tests.txt"
+ ],
"boringssl": true,
"ci_platforms": [
"linux",
@@ -4541,7 +4561,7 @@
],
"flaky": false,
"language": "c++",
- "name": "boringssl_ecdsa_test",
+ "name": "boringssl_ecdsa_verify_test",
"platforms": [
"linux",
"mac",
@@ -4761,7 +4781,7 @@
],
"flaky": false,
"language": "c++",
- "name": "boringssl_pkcs8_test",
+ "name": "boringssl_newhope_test",
"platforms": [
"linux",
"mac",
@@ -4785,7 +4805,7 @@
],
"flaky": false,
"language": "c++",
- "name": "boringssl_pkcs12_test",
+ "name": "boringssl_newhope_statistical_test",
"platforms": [
"linux",
"mac",
@@ -4795,7 +4815,7 @@
},
{
"args": [
- "third_party/boringssl/crypto/poly1305/poly1305_test.txt"
+ "third_party/boringssl/crypto/newhope/newhope_tests.txt"
],
"boringssl": true,
"ci_platforms": [
@@ -4811,7 +4831,7 @@
],
"flaky": false,
"language": "c++",
- "name": "boringssl_poly1305_test",
+ "name": "boringssl_newhope_vectors_test",
"platforms": [
"linux",
"mac",
@@ -4835,7 +4855,7 @@
],
"flaky": false,
"language": "c++",
- "name": "boringssl_refcount_test",
+ "name": "boringssl_obj_test",
"platforms": [
"linux",
"mac",
@@ -4859,7 +4879,7 @@
],
"flaky": false,
"language": "c++",
- "name": "boringssl_rsa_test",
+ "name": "boringssl_pkcs12_test",
"platforms": [
"linux",
"mac",
@@ -4883,7 +4903,33 @@
],
"flaky": false,
"language": "c++",
- "name": "boringssl_thread_test",
+ "name": "boringssl_pkcs8_test",
+ "platforms": [
+ "linux",
+ "mac",
+ "posix",
+ "windows"
+ ]
+ },
+ {
+ "args": [
+ "third_party/boringssl/crypto/poly1305/poly1305_tests.txt"
+ ],
+ "boringssl": true,
+ "ci_platforms": [
+ "linux",
+ "mac",
+ "posix",
+ "windows"
+ ],
+ "cpu_cost": 1.0,
+ "defaults": "boringssl",
+ "exclude_configs": [
+ "asan"
+ ],
+ "flaky": false,
+ "language": "c++",
+ "name": "boringssl_poly1305_test",
"platforms": [
"linux",
"mac",
@@ -4907,7 +4953,7 @@
],
"flaky": false,
"language": "c++",
- "name": "boringssl_pkcs7_test",
+ "name": "boringssl_refcount_test",
"platforms": [
"linux",
"mac",
@@ -4931,7 +4977,7 @@
],
"flaky": false,
"language": "c++",
- "name": "boringssl_x509_test",
+ "name": "boringssl_rsa_test",
"platforms": [
"linux",
"mac",
@@ -4955,7 +5001,7 @@
],
"flaky": false,
"language": "c++",
- "name": "boringssl_tab_test",
+ "name": "boringssl_thread_test",
"platforms": [
"linux",
"mac",
@@ -4979,7 +5025,7 @@
],
"flaky": false,
"language": "c++",
- "name": "boringssl_v3name_test",
+ "name": "boringssl_pkcs7_test",
"platforms": [
"linux",
"mac",
@@ -5003,7 +5049,55 @@
],
"flaky": false,
"language": "c++",
- "name": "boringssl_pqueue_test",
+ "name": "boringssl_x509_test",
+ "platforms": [
+ "linux",
+ "mac",
+ "posix",
+ "windows"
+ ]
+ },
+ {
+ "args": [],
+ "boringssl": true,
+ "ci_platforms": [
+ "linux",
+ "mac",
+ "posix",
+ "windows"
+ ],
+ "cpu_cost": 1.0,
+ "defaults": "boringssl",
+ "exclude_configs": [
+ "asan"
+ ],
+ "flaky": false,
+ "language": "c++",
+ "name": "boringssl_tab_test",
+ "platforms": [
+ "linux",
+ "mac",
+ "posix",
+ "windows"
+ ]
+ },
+ {
+ "args": [],
+ "boringssl": true,
+ "ci_platforms": [
+ "linux",
+ "mac",
+ "posix",
+ "windows"
+ ],
+ "cpu_cost": 1.0,
+ "defaults": "boringssl",
+ "exclude_configs": [
+ "asan"
+ ],
+ "flaky": false,
+ "language": "c++",
+ "name": "boringssl_v3name_test",
"platforms": [
"linux",
"mac",
diff --git a/tools/run_tests/helper_scripts/build_python.sh b/tools/run_tests/helper_scripts/build_python.sh
index 0e88e96765..5647d9c2fc 100755
--- a/tools/run_tests/helper_scripts/build_python.sh
+++ b/tools/run_tests/helper_scripts/build_python.sh
@@ -163,22 +163,18 @@ pip_install_dir() {
PWD=`pwd`
cd $1
($VENV_PYTHON setup.py build_ext -c $TOOLCHAIN || true)
- # install the dependencies
- $VENV_PYTHON -m pip install --upgrade .
- # ensure that we've reinstalled the test packages
- $VENV_PYTHON -m pip install --upgrade --force-reinstall --no-deps .
+ $VENV_PYTHON -m pip install --no-deps .
cd $PWD
}
$VENV_PYTHON -m pip install --upgrade pip
$VENV_PYTHON -m pip install setuptools
$VENV_PYTHON -m pip install cython
+$VENV_PYTHON -m pip install six enum34 protobuf futures
pip_install_dir $ROOT
+
$VENV_PYTHON $ROOT/tools/distrib/python/make_grpcio_tools.py
pip_install_dir $ROOT/tools/distrib/python/grpcio_tools
-# TODO(atash) figure out namespace packages and grpcio-tools and auditwheel
-# etc...
-pip_install_dir $ROOT
# Build/install health checking
$VENV_PYTHON $ROOT/src/python/grpcio_health_checking/setup.py preprocess
@@ -191,6 +187,7 @@ $VENV_PYTHON $ROOT/src/python/grpcio_reflection/setup.py build_package_protos
pip_install_dir $ROOT/src/python/grpcio_reflection
# Build/install tests
+$VENV_PYTHON -m pip install coverage oauth2client
$VENV_PYTHON $ROOT/src/python/grpcio_tests/setup.py preprocess
$VENV_PYTHON $ROOT/src/python/grpcio_tests/setup.py build_package_protos
pip_install_dir $ROOT/src/python/grpcio_tests
diff --git a/tools/run_tests/run_interop_tests.py b/tools/run_tests/run_interop_tests.py
index b2dac7d1a8..53df3347a0 100755
--- a/tools/run_tests/run_interop_tests.py
+++ b/tools/run_tests/run_interop_tests.py
@@ -170,7 +170,7 @@ class JavaLanguage:
return ['./run-test-client.sh'] + args
def client_cmd_http2interop(self, args):
- return ['./run-http2-client.sh'] + args
+ return ['./interop-testing/build/install/grpc-interop-testing/bin/http2-client'] + args
def cloud_to_prod_env(self):
return {}
@@ -406,7 +406,7 @@ class PythonLanguage:
def client_cmd_http2interop(self, args):
return [ 'py27/bin/python',
- 'src/python/grpcio_tests/tests/http2/_negative_http2_client.py',
+ 'src/python/grpcio_tests/tests/http2/negative_http2_client.py',
] + args
def cloud_to_prod_env(self):
diff --git a/tools/run_tests/sanity/check_submodules.sh b/tools/run_tests/sanity/check_submodules.sh
index a484b26716..0b68319d29 100755
--- a/tools/run_tests/sanity/check_submodules.sh
+++ b/tools/run_tests/sanity/check_submodules.sh
@@ -42,7 +42,7 @@ want_submodules=`mktemp /tmp/submXXXXXX`
git submodule | awk '{ print $1 }' | sort > $submodules
cat << EOF | awk '{ print $1 }' | sort > $want_submodules
44c25c892a6229b20db7cd9dc05584ea865896de third_party/benchmark (v0.1.0-343-g44c25c8)
- c880e42ba1c8032d4cdde2aba0541d8a9d9fa2e9 third_party/boringssl (c880e42)
+ 78684e5b222645828ca302e56b40b9daff2b2d27 third_party/boringssl (78684e5)
886e7d75368e3f4fab3f4d0d3584e4abfc557755 third_party/boringssl-with-bazel (version_for_cocoapods_7.0-857-g886e7d7)
f8a0efe03aa69b3336d8e228b37d4ccb17324b88 third_party/gflags (v2.2.0)
c99458533a9b4c743ed51537e25989ea55944908 third_party/googletest (release-1.7.0)